<?php

namespace Myvetshop\Module\Clinique\Adapter;

class ConfigurationAdapter
{
    /**
     * @param string|false $default
     *
     * @return false|string
     */
    public function get(
        string $key,
        int $idLang = null,
        int $idShopGroup = null,
        int $idShop = null,
        $default = false
    ) {
        return \Configuration::get($key, $idLang, $idShopGroup, $idShop, $default);
    }

    /**
     * @param string|false|string[] $values
     *
     * @return bool
     */
    public function updateValue(
        string $key,
        $values,
        bool $html = false,
        int $idShopGroup = null,
        int $idShop = null
    ): bool {
        return \Configuration::updateValue($key, $values, $html, $idShopGroup, $idShop);
    }
}
